Subject: Re: bug#30204: 27.0.50; Changing major mode resets non-default invisibility spec

From: Robert Pluim <[email-masked]>
Date: Sat, 09 Oct 2021 13:15:26 +0200

>>>>> On Sat, 09 Oct 2021 13:10:57 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Robert Pluim <[email-masked]> writes:
    >> I see you did that with 'after-change-functions'. Would a
    >> 'pre-yank-hook' be a useful addition to Emacs? I often yank output
    >> from badly behaved programs, and having a buffer-local hook to replace
    >> non-breaking-spaces and the like before insertion would be useful.

    Lars> There's `filter-buffer-substring' to do it from the other side...  But I
    Lars> see now that I could just have set `yank-excluded-properties' to t in
    Lars> this mode to get the same effect as the `after-change-functions'.  I'll
    Lars> adjust.

Doesnʼt `filter-buffer-substring' only work if Iʼm yanking from one
buffer to another? What if Iʼm yanking the X selection?

Robert
--